## org.junit.runner
Class OrderWithValidator

    java.lang.Object
      org.junit.validator.AnnotationValidator
          org.junit.runner.OrderWithValidator

    public final class OrderWithValidator

extends AnnotationValidator

Validates that there are no errors in the use of the `OrderWith` annotation. If there is, a `Throwable` object will be added to the list of errors.

Since:
  4.13

Constructor Summary
`OrderWithValidator()`

Method Summary
`List<Exception>` `validateAnnotatedClass(TestClass testClass)` Adds to `errors` a throwable for each problem detected.

Methods inherited from class org.junit.validator.AnnotationValidator
`validateAnnotatedField, validateAnnotatedMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderWithValidator

    public OrderWithValidator()

Method Detail

### validateAnnotatedClass

    public List<Exception> validateAnnotatedClass(TestClass testClass)

  Adds to `errors` a throwable for each problem detected. Looks for `FixMethodOrder` annotations.

  Overrides:
    `validateAnnotatedClass` in class `AnnotationValidator`
  Parameters:
    `testClass` - that is being validated
  Returns:
    A list of exceptions detected
  Since:
    4.13

Copyright © 2002–2020 JUnit. All rights reserved.